//Atte. Mario Martnez
//Mayosoft
//Sitio Web: http://www.mayosoft.net :: MayosoftStudios v.2005
//Portafolio: http://mayosoft.deviantart.com

const name            = "Firefox Lustre Gelb";
const regname         = "/Mayosoft/FirefoxLustreGelb";
const version         = "1.0";

// OS type detection
function getPlatform( )
{
    var platformStr;
    var platformNode;
    if('platform' in Install)
    {
        platformStr = new String(Install.platform);
        if (!platformStr.search(/^Macintosh/))
            platformNode = 'mac';
        else if (!platformStr.search(/^Win/))
            platformNode = 'win';
        else
            platformNode = 'unix';
    }
    else
    {
        var fOSMac  = getFolder("Mac System");
        var fOSWin  = getFolder("Win System");
        if(fOSMac != null)
            platformNode = 'mac';
        else if(fOSWin != null)
            platformNode = 'win';
        else
            platformNode = 'unix';
    }
    return platformNode;
}

platformNode = getPlatform( );
if (platformNode == 'mac') {					//mac version
  alert("MAC OS version currently not supported.");
}
else {
  initInstall(name, regname, version);
  dir = getFolder("Chrome", "icons/default");
  setPackageFolder(dir);
  if (platformNode == 'win') {					//win version
    const ico = "default.ico";
    addFile("", version, ico, dir, "", true);
    addFile("", version, ico, dir, "bookmark-window.ico", true);
    addFile("", version, ico, dir, "certManager.ico", true);
    addFile("", version, ico, dir, "certWindow.ico", true);
    addFile("", version, ico, dir, "deviceManager.ico", true);
    addFile("", version, ico, dir, "downloadManager.ico", true);
    addFile("", version, ico, dir, "extensionsManager.ico", true);
    addFile("", version, ico, dir, "help.ico", true);
    addFile("", version, ico, dir, "jsconsoleWindow.ico", true);
    addFile("", version, ico, dir, "loadDevice.ico", true);
    addFile("", version, ico, dir, "main-window.ico", true);
    addFile("", version, ico, dir, "metadata.ico", true);
    addFile("", version, ico, dir, "themesManager.ico", true);
    addFile("", version, ico, dir, "winInspectorMain.ico", true);
  }
  else {							//unix version
    const xpm = "default.xpm";
    const xpm16 = "default16.xpm";
    addFile("", version, xpm, dir, "", true);
    addFile("", version, xpm16, dir, "", true);
    addFile("", version, xpm, dir, "bookmark-window.ico", true);
    addFile("", version, xpm16, dir, "bookmark-window16.ico", true);
    addFile("", version, xpm, dir, "certManager.ico", true);
    addFile("", version, xpm16, dir, "certManager.ico16", true);
    addFile("", version, xpm, dir, "certWindow.ico", true);
    addFile("", version, xpm16, dir, "certWindow.ico16", true);
    addFile("", version, xpm, dir, "deviceManager.ico", true);
    addFile("", version, xpm16, dir, "deviceManager.ico16", true);
    addFile("", version, xpm, dir, "downloadManager.ico", true);
    addFile("", version, xpm16, dir, "downloadManager.ico16", true);
    addFile("", version, xpm, dir, "extensionsManager.ico", true);
    addFile("", version, xpm16, dir, "extensionsManager.ico16", true);
    addFile("", version, xpm, dir, "help.ico", true);
    addFile("", version, xpm16, dir, "help.ico16", true);
    addFile("", version, xpm, dir, "jsconsoleWindow.ico", true);
    addFile("", version, xpm16, dir, "jsconsoleWindow.ico16", true);
    addFile("", version, xpm, dir, "loadDevice.ico", true);
    addFile("", version, xpm16, dir, "loadDevice.ico16", true);
    addFile("", version, xpm, dir, "main-window.ico", true);
    addFile("", version, xpm16, dir, "main-window.ico16", true);
    addFile("", version, xpm, dir, "metadata.ico", true);
    addFile("", version, xpm16, dir, "metadata.ico16", true);
    addFile("", version, xpm, dir, "themesManager.ico", true);
    addFile("", version, xpm16, dir, "themesManager.ico16", true);
    addFile("", version, xpm, dir, "winInspectorMain.ico", true);
    addFile("", version, xpm16, dir, "winInspectorMain.ico16", true);
  }
  if (0 == getLastError()){
    performInstall();
	alert("Icon pack installed! All newly opened browser windows will use this icon pack. To get another icon pack or uninstall, see http://iconpacks.mozdev.org");
  }else{
    cancelInstall();
  }
}